Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DuplicatesPolicy Enumeration
See Also Send Feedback

Policy for duplicate data items in the database. Allows a key/data pair to be inserted into the database even if the key already exists.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public enum DuplicatesPolicy

Visual Basic (Declaration)
    Public Enumeration DuplicatesPolicy

Visual C++
    public enum class DuplicatesPolicy

# Members

| Member name | Description
--- | --- | ---
| NONE | Does not allow a key/data pair to be inserted into the database even if the key already exists
| SORTED | Duplicates are allowed and mainted in sorted order, as determined by the duplicate comparison function.
| UNSORTED | Duplicates are allowed and ordered in the database by the order of insertion, unless the ordering is otherwise specified by use of a cursor operation or a duplicate sort function.

# See Also

BerkeleyDB Namespace